Skip to Content

Maintenance Strategy for Fiori and UI5 iViews on Portal

Aug 29, 2017 at 01:34 PM


avatar image

Hi All,

I'd like to clarify the strategy for SAPUI5 versions in EP and Gateway (ABAP) systems.

Portal 7.5 UI5 version – 1.38.19

NW ABAP Gateway 7.4 version (central hub) – 1.38.4

As per note 2421583, to run FLP on Portal we need to make sure that UI5 versions, both in the portal and in the backend, are aligned with the requirements in note 2261419.

Both of above systems doesn’t support Fiori 2.0, which is the latest version and we will end up upgrading them next year as per below maintenance period from SAP.

SAPUI5 maintenance versions (based on information provided in note 2217489)

Version Planned End of Maintenance SAPUI5 1.28 Q3/2017 SAPUI5 1.38 Q3/2018 (via UI Add-On2.0 until Q2/2020) SAPUI5 1.44 Q4/2019

I'd like to know what is the recommendation for our setup? We upgraded Portal recently to 7.5 SP08 but our gateway is on 7.4 SP14. Shall we upgrade Portal UI5 to 1.44 and leave Gateway system on 1.38? We have several fiori apps that are live using Gateway being consumed via SMP. Please advise.

10 |10000 characters needed characters left characters exceeded

Dear All,

Can anyone please advise on this?

* Please Login or Register to Answer, Follow or Comment.

0 Answers